Audit logs
The audit and access log, its facets and retention.
List audit-log entries
GET
/audit-logsScope
audit_logs:viewRead-onlyQuery parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/audit-logs?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"Get audit-log facets/filters
GET
/audit-logs/facetsScope
audit_logs:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/audit-logs/facets" \ -H "Authorization: Bearer $KLERC_TOKEN"Get audit-log retention config
GET
/audit-logs/configScope
audit_logs:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/audit-logs/config" \ -H "Authorization: Bearer $KLERC_TOKEN"Update audit-log retention config
PUT
/audit-logs/configScope
audit_logs:exportWrites dataResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PUT "https://api.klerc.co/api/v1/audit-logs/config" \ -H "Authorization: Bearer $KLERC_TOKEN"